Review these system requirements to verify that you can use Webex App on your computer, mobile device, or web browser.


Keep in mind that we don't support using Webex App with pre-release or early release programs, such as the Apple Beta Software, Windows Insider Program, Google Android Beta, or any other similar programs.

The performance of Webex App may also be influenced by other factors, for example: network connectivity or other applications on your devices.


These requirements are continuously reviewed and may be revised.

  • Windows PCs recommended minimum system requirements

    • Windows 10 and later. Make sure your drivers are up-to-date.

      For further information on the latest drivers for some graphic products, see the following:

    • Intel Dual-Core CPU 2.XX GHz or AMD processor (4 GB of RAM minimum recommended).

    • Some features require additional system requirements:

      • Reactions in a scheduled Webex Meeting or Personal Room meeting.

        • Operating System—Windows 10 version 10.0.17763 or later

        • Processor—four physical cores or more

        • Memory—4 GB or more of RAM

      • Virtual or blurred background in calls and meetings

        • Operating System—Windows 10 32-bit/64-bit


          If you're in a VDI environment, make sure you're using a supported platform for virtual backgrounds. See the VDI Release Notes for more information.

        • Processor:

          • Intel Core i3, i5, or i7 4000 series or higher

          • AMD Ryzen 5, 7, 9, or higher

        • Memory:

          • 8 GB or more of RAM

          • 2 GB or more of VRAM for dedicated GPUs

  • Mac recommended minimum system requirements

    • MacOS 10.13 and later on a supported Mac. .

    • M1 chip or Intel CPU-based (4 GB of RAM minimum recommended).

    • Some features require additional system requirements:

      • Reactions in a scheduled Webex Meeting or Personal Room meeting.

        • Operating System—macOS High Sierra (version 10.13) or later

        • Processor:

          • Intel Core i5 6000 series dual-core processor or higher

          • Intel Core i7 5000 series dual-core processor or higher

          • Intel Core i7 quad-core processor or higher

          • Intel Core i9 dual-core processor or higher

          • Intel Xeon dual-core processor or higher

          • Intel Core m3 7000 series dual-core processor or higher

          • Other Intel processors: six cores or higher

          • Non-Intel processors: eight cores or higher

      • Virtual or blurred background in calls and meetings

        • Operating System—macOS High Sierra (version 10.13) and later


          If you're in a VDI environment, make sure you're using a supported platform for virtual backgrounds. See the VDI Release Notes for more information.

        • Processor:

          • Intel Core i7 4000 series quad-core or higher processor

          • Intel Core i7 5000 series dual-core processor or higher

          • Intel Core i5 6000 series dual-core processor or higher

        • Memory—2 GB or more of VRAM for dedicated GPUs

  • iPhone and iPad

    • iOS 13.7 and later, and iPadOS 13.7 and later.

    • Some features require additional requirements:

      • Virtual or blurred background in calls and meetings

        • iPhone 7 or later

        • iPad Pro and later

        • iPad mini (5th generation) and later

        • iPad Air (3rd generation) and later

  • Android Smartphones

    • Oreo 8.0 and later (3GB of RAM required).

    • Some features require additional system requirements:

      • Virtual or blurred background in calls and meetings

        • Operating System—Android 9.0 (Pie) and later

        • Processor:

          • Snapdragon 845

          • Samsung Exynos 9810

          • Equivalent processors with eight or more cores

        • Memory—3.5 GB or more of RAM

        • Android 9.0 (Pie) and later

  • Web

    Last two major releases of one of these browsers: Google Chrome, Mozilla Firefox, Apple Safari, and Microsoft Edge on computers running Windows, Mac, or Linux.


    You can use the meetings and free calling (Call on Webex) features from the Webex App for Web using Firefox, Chrome, and Safari only.

  • Chromebook

    The messaging, calling, and meetings features from Webex App for Android are supported.

  • Linux recommended minimum system requirements

    • Core requirements: Intel Dual-Core CPU 2.XX GHz or AMD processor (4 GB of RAM minimum recommended)

    • Display Protocols: x11 and Wayland.

    • Desktop environment/Window Manager: GNOME/Mutter and KDE/KWin recommended.

Review these system requirements to verify that you can use the Webex Calling app on your computer or mobile device.


Keep in mind that we don't support using the app with pre-release or early release programs, such as the Apple Beta Software, Windows Insider Program, Google Android Beta, or any other similar programs.

  • Windows PCs—Windows 7, 8, 8.1, 10 (classic view only), and 11. Make sure your drivers are up-to-date.

  • Mac—MacOS 10.12 Sierra, 10.13 High Sierra, 10.14 Mojave, 10.15 Catalina, 11.0 Big Sur, Mac M1 chip (arm), and 12.0 Monterey on a supported Mac

  • iPhone and iPad—iOS 11.0 and later

  • Android Smartphones—Lollipop 5.0 and later

  • Chromebook—ARM-based Chomebooks capable of running Android apps

We recommend that you use the latest desktop version of Google Chrome, Microsoft Edge, or Mozilla Firefox to access Control Hub. Other browsers may produce unexpected results.


Control Hub doesn't support Internet Explorer.

Safari browsers may run into some problems when configuring Webex Meeting sites in Control Hub. We recommend that you use Google Chrome to avoid those problems.

Control Hub is not designed for mobile devices.


Control Hub supports Microsoft Edge Version 79.0.309.71 (Official build) (64-bit) and later.